Porting systemd To New Distributions

HOWTO:
        You need to make the follow changes to adapt systemd to your
        distribution:

        1) Find the right configure parameters for:

            --with-rootprefix=
            --with-sysvinit-path=
            --with-sysvrcnd-path=
            --with-rc-local-script-path-start=
            --with-rc-local-script-path-stop=
            --with-kbd-loadkeys=
            --with-kbd-setfont=
            --with-tty-gid=

        2) Try it out. Play around (as an ordinary user) with
        '/usr/lib/systemd/systemd --test --system' for a test run
        of systemd without booting. This will read the unit files and
        print the initial transaction it would execute during boot-up.
        This will also inform you about ordering loops and suchlike

CONTRIBUTING UPSTREAM:

        We generally do no longer accept distribution-specific
        patches to systemd upstream. If you have to make changes to
        systemd's source code to make it work on your distribution,
        unless your code is generic enough to be generally useful, we
        are unlikely to merge it. Please always consider adopting the
        upstream defaults. If that is not possible, please maintain
        the relevant patches downstream.

        Thank you for understanding.
